## plasma-workspace 6.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-workspace)
set(PROJECT_VERSION "6.3.6")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(PROJECT_DEP_VERSION "6.3.6")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
option(PLASMA_X11_DEFAULT_SESSION "Use X11 session by default for Plasma" OFF)
option(INSTALL_SDDM_WAYLAND_SESSION OFF)
option(WITH_X11 "Build with X11 support. Building without is experimental" ON)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMQueryQt)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMFindQmlModule)
include(ECMGenerateExportHeader)
include(ECMGenerateQmlTypes)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(PkgConfig REQUIRED)
pkg_check_modules(PipeWire QUIET IMPORTED_TARGET libpipewire-0.3)
add_feature_info(PipeWire PipeWire_FOUND "Required for camera indicator applet and Wayland screencasting testing")
set(BUILD_CAMERAINDICATOR_DEFAULT OFF)
if(PipeWire_FOUND)
    set(BUILD_CAMERAINDICATOR_DEFAULT ON)
endif()
option(BUILD_CAMERAINDICATOR "Build the camera indicator Plasma applet" ${BUILD_CAMERAINDICATOR_DEFAULT})

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
                    Concurrent Core5Compat DBus Network Positioning Quick QuickWidgets
                    ShaderTools Sql Svg Widgets)
find_package(QCoro6 REQUIRED COMPONENTS Core)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
                    Archive Auth CoreAddons Crash DBusAddons Declarative GlobalAccel GuiAddons
                    I18n IconThemes ItemModels KCMUtils KDED KIO NewStuff Notifications
                    NotifyConfig Package Parts Prison Runner StatusNotifierItem Svg TextEditor
                    TextWidgets UnitConversion Wallet
                    OPTIONAL_COMPONENTS DocTools)
find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KSysGuard ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6Screen ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(KScreenLocker ${PROJECT_DEP_VERSION} REQUIRED)
find_package(LayerShellQt ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test QuickTest)
    find_package(Qt6 REQUIRED CONFIG COMPONENTS WaylandCompositor)
endif()

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.10.0 CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User KCM"
    TYPE RUNTIME
)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6NetworkManagerQt PROPERTIES
    DESCRIPTION "Qt wrapper for NetworkManager API"
    PURPOSE "Needed for location-based time zone changes."
    TYPE OPTIONAL
)

find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6QuickCharts PROPERTIES
    DESCRIPTION "Used for rendering charts"
    TYPE RUNTIME
)

find_package(KF6UserFeedback)

find_package(KF6Baloo)
set_package_properties(KF6Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

pkg_check_modules(QALCULATE libqalculate>2.0 REQUIRED IMPORTED_TARGET)
pkg_check_modules(DBus dbus-1 REQUIRED IMPORTED_TARGET)

find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)

find_package(KF6Holidays)
set_package_properties(KF6Holidays PROPERTIES DESCRIPTION "Holidays provider for Plasma calendar"
                       TYPE OPTIONAL
                       PURPOSE "Needed to for holidays plugin for Plasma Calendar."
                      )
# Used in kcm_autostart
pkg_check_modules(SYSTEMD "systemd")

find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt6 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE REQUIRED)

find_package(Breeze ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "https://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
        PROPERTIES DESCRIPTION "Software Manager integration"
        TYPE OPTIONAL
        PURPOSE "Used to install additional language packages on demand and integrate for offline updates"
)
option(PACKAGEKIT_OFFLINE_UPDATES "Integrate with PackageKit for offline updates" OFF)
add_feature_info(PACKAGEKIT_OFFLINE_UPDATES PackageKitQt6_FOUND "Integrate with PackageKit for offline updates")
set(PACKAGEKIT_OFFLINE_UPDATES ${PackageKitQt6_FOUND})

if(PLASMA_X11_DEFAULT_SESSION)
    set(WITH_X11 1)
endif()

if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                            URL "https://www.x.org"
                            TYPE REQUIRED
                            PURPOSE "Required for building the X11 based workspace")
    function(check_X11_lib _lib)
        if (NOT TARGET X11::${_lib})
            message(SEND_ERROR "Required component ${_lib} of X11 was not found")
        endif()
    endfunction()
    check_X11_lib(ICE)
    check_X11_lib(SM)
    check_X11_lib(X11)
    check_X11_lib(Xau)
    check_X11_lib(Xcursor)
    check_X11_lib(Xfixes)
    check_X11_lib(Xft)
    check_X11_lib(Xrender)
    check_X11_lib(Xtst)

    set(HAVE_X11 1)
    set(HAVE_XCURSOR 1)
    set(HAVE_XFIXES 1)

    find_package(XCB MODULE REQUIRED COMPONENTS AUX XCB CURSOR RANDR IMAGE)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)

else()
    set(HAVE_X11 0)
    set(HAVE_XCURSOR 0)
    set(HAVE_XFIXES 0)
endif()

# FreeBSD systems might have libxcrypt but their shadow equivalent doesn't use it
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    pkg_check_modules(libxcrypt libxcrypt>=4)
    if(libxcrypt_FOUND)
        set(HAVE_CRYPT_GENSALT true)
    endif()
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.6 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client Server) # Server is used in autotests

if(FONTCONFIG_FOUND)
  # kfontinst
  find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS PrintSupport)
endif()

find_package(AppStreamQt 1.0) # 1.0 will be the first release to support Qt6
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
                       TYPE OPTIONAL)

if(AppStreamQt_FOUND)
    set(HAVE_APPSTREAMQT true)
endif()

find_package(UDev REQUIRED)
set_package_properties(UDev PROPERTIES
    PURPOSE "Allows to play notification sounds when (un)plugging devices"
    TYPE REQUIRED
)

# Region & Language KCM
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # notes for packager:
    # This is the macro definition part of Region & Language KCM
    # Depending on your distributions, the KCM behaves differently
    # For Ubuntu based systems, this KCM uses "check-language-support" and PackageKit
    # to install relevant fonts and packages
    # You should enable option UBUNTU_PACKAGEKIT (it's auto detected though)
    #
    # For Glibc systems that don't come with pre-generated locales, such as ArchLinux
    # This KCM uses "/etc/locale.gen" and "locale-gen" to generate configured locales
    # and display a note to let user install fonts themselves if required
    # You shouldn't required to do anything in this case
    #
    # For Glibc systems that come with pre-generated locales, such as Fedora and openSUSE
    # a note to let user install fonts themselves if required is displayed
    # You should enable GLIBC_LOCALE_PREGENERATED option
    #
    # For non-glibc systems such as VoidLinux and *BSD
    # A warning of configure locale manually is displayed (although the relevant ENVs are set by Plasma)
    # You should disable GLIBC_LOCALE_GEN option


    # find out if the build system is Ubuntu based
    if (${CMAKE_VERSION} VERSION_LESS 3.22)
        find_program(LSB_RELEASE_EXEC lsb_release)
        execute_process(COMMAND ${LSB_RELEASE_EXEC} -is
            OUTPUT_VARIABLE DISTRO_NAME
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        string(TOLOWER "${DISTRO_NAME}" DISTRO_NAME)
    else()
        cmake_host_system_information(RESULT DISTRO_NAME QUERY DISTRIB_ID)
        cmake_host_system_information(RESULT DISTRO_ID_LIKE QUERY DISTRIB_ID_LIKE)
    endif()

    string(COMPARE EQUAL "ubuntu" "${DISTRO_NAME}" SYSTEM_UBUNTU_BASED)
    string(FIND "${DISTRO_ID_LIKE}" "ubuntu" FINDINDEX)
    if(NOT (FINDINDEX EQUAL -1))
        set(SYSTEM_UBUNTU_BASED ON)
        find_program(LANGUAGE_SELECTOR_COMMON "check-language-support" DOC "Required for ubuntu-based distros to generate locale")
    endif()

    set(UBUNTU_LOCALE FALSE)
    option(UBUNTU_PACKAGEKIT "Install required package for language on Ubuntu Based systems, PackageKitQt6 required" ${SYSTEM_UBUNTU_BASED})
    if(UBUNTU_PACKAGEKIT)
        set(UBUNTU_LOCALE ${PackageKitQt6_FOUND})
    endif()

    set(GLIBC_LOCALE_GEN_DEFAULT ON)
    if(UBUNTU_LOCALE)
        set(GLIBC_LOCALE_GEN_DEFAULT OFF)
    endif()

    option(GLIBC_LOCALE_GEN "Auto generate Glibc locale with locale-gen and /etc/locale.gen" ${GLIBC_LOCALE_GEN_DEFAULT})
    if(GLIBC_LOCALE_GEN AND UBUNTU_LOCALE)
        message(FATAL_ERROR "UBUNTU_PACKAGEKIT and GLIBC_LOCALE_GEN both enabled, only UBUNTU_PACKEGKIT will be used")
    endif()
    if(GLIBC_LOCALE_GEN)
        set(GLIBC_LOCALE_AUTO TRUE)
    endif()
    set(REGION_LANG_GENERATE_LOCALE_HELPER FALSE)
    if(UBUNTU_LOCALE OR GLIBC_LOCALE_GEN)
        set(REGION_LANG_GENERATE_LOCALE_HELPER TRUE)
    endif()

    option(GLIBC_LOCALE_PREGENERATED "Systems that don't require locale generation. Such as openSUSE or Fedora" OFF)
    if(GLIBC_LOCALE_PREGENERATED)
        set(GLIBC_LOCALE_GENERATED TRUE)
    endif()
    if(REGION_LANG_GENERATE_LOCALE_HELPER AND GLIBC_LOCALE_PREGENERATED)

=== kcms/CMakeLists.txt ===
add_subdirectory(krdb)

add_subdirectory(desktoptheme)
add_subdirectory(icons)

if(KF6UserFeedback_FOUND)
    add_subdirectory(feedback)
endif()

add_subdirectory(style)
add_subdirectory(lookandfeel)
add_subdirectory(colors)
if(X11_Xcursor_FOUND)
    add_subdirectory(cursortheme)
endif()

if(FONTCONFIG_FOUND)
    add_subdirectory( kfontinst )
    add_subdirectory( fonts )
endif()

add_subdirectory(autostart)
add_subdirectory(region_language)
add_subdirectory(notifications)
add_subdirectory(nightlight)
add_subdirectory(users)
add_subdirectory(soundtheme)
add_subdirectory(wallpaper)

=== libcolorcorrect/CMakeLists.txt ===
add_subdirectory(kded)

set(colorcorrect_LIB_SRCS
    compositorcoloradaptor.cpp
    suncalc.cpp suncalc.h
    )

add_library(colorcorrect ${colorcorrect_LIB_SRCS})
add_library(PW::LibColorCorrect ALIAS colorcorrect)

generate_export_header(colorcorrect)

target_include_directories(colorcorrect PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/colorcorrect>")

target_link_libraries(colorcorrect
                    PUBLIC
                      KF6::ConfigCore

                      Qt::Core
                      Qt::Quick
                    PRIVATE
                      KF6::I18n

                      Qt::DBus)

set_target_properties(colorcorrect PROPERTIES
                      VERSION ${PROJECT_VERSION}
                      SOVERSION ${PROJECT_VERSION_MAJOR}
                      EXPORT_NAME LibColorCorrect)

ecm_add_qml_module(colorcorrect URI org.kde.colorcorrect GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(colorcorrect)

install(TARGETS colorcorrect EXPORT libcolorcorrectLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    colorcorrectconstants.h
    compositorcoloradaptor.h
    ${CMAKE_CURRENT_BINARY_DIR}/colorcorrect_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/colorcorrect COMPONENT Devel
)

write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfigVersion.cmake VERSION "${PROJECT_VERSION}" COMPATIBILITY AnyNewerVersion)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/LibColorCorrect)

configure_package_config_file(LibColorCorrectConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libcolorcorrectLibraryTargets
        NAMESPACE PW::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE LibColorCorrectLibraryTargets.cmake )

=== soliduiserver/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"soliduiserver\")

kcoreaddons_add_plugin(soliduiserver SOURCES soliduiserver.cpp soliduiserver.h INSTALL_NAMESPACE "kf6/kded")
target_link_libraries(soliduiserver
    KF6::Solid
    KF6::DBusAddons
    KF6::Wallet
    KF6::KIOCore
    KF6::WindowSystem
    KF6::I18n
    KF6::WidgetsAddons
)


ecm_qt_declare_logging_category(soliduiserver
    HEADER soliduiserver_debug.h
    IDENTIFIER SOLIDUISERVER_DEBUG
    CATEGORY_NAME org.kde.plasma.soliduiserver
    DESCRIPTION "soliduiserver"
    EXPORT PLASMAWORKSPACE
)

=== appiumtests/applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME analogclocktest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/analogclocktest.py --failfast
)
set_tests_properties(analogclocktest PROPERTIES TIMEOUT 120)

add_test(
    NAME appmenutest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/appmenutest.py --failfast
)
set_tests_properties(appmenutest PROPERTIES TIMEOUT 120 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

add_test(
    NAME calendartest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/calendartest.py --failfast
)
set_tests_properties(calendartest PROPERTIES TIMEOUT 120)

add_test(
    NAME cameraindicatortest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/cameraindicatortest.py
)
set_tests_properties(cameraindicatortest PROPERTIES TIMEOUT 120 ENVIRONMENT "CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

add_test(
    NAME clipboardtest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/clipboardtest.py
)
set_tests_properties(clipboardtest PROPERTIES TIMEOUT 300 ENVIRONMENT "QT_QPA_PLATFORM=wayland;GDK_BACKEND=wayland")

add_test(
    NAME devicenotifiertest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/devicenotifiertest.py --failfast
)
set_tests_properties(devicenotifiertest PROPERTIES TIMEOUT 120)

add_test(
    NAME icontest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/icontest.py --failfast
)
set_tests_properties(icontest PROPERTIES TIMEOUT 120)

add_test(
    NAME lock_logouttest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/lock_logouttest.py --failfast
)
set_tests_properties(lock_logouttest PROPERTIES TIMEOUT 120)

add_test(
    NAME manage-inputmethodtest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/manage-inputmethodtest.py --failfast
)
set_tests_properties(manage-inputmethodtest PROPERTIES TIMEOUT 120)

add_test(
    NAME notificationstest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/notificationstest.py
)
set_tests_properties(notificationstest PROPERTIES TIMEOUT 120 ENVIRONMENT "KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd;USE_CUSTOM_BUS=1")

add_test(
    NAME digitalclocktest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/digitalclocktest.py --failfast
)
set_tests_properties(digitalclocktest PROPERTIES TIMEOUT 300)

add_subdirectory(kicker)

add_test(
    NAME mediacontrollertest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/mediacontrollertest.py --failfast
)
set_tests_properties(mediacontrollertest PROPERTIES TIMEOUT 300 ENVIRONMENT "GDK_BACKEND=wayland")

add_test(
    NAME systemtraytest_x11
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/systemtraytest.py --failfast
)
# StatusIcon only works with the X11 backend
set_tests_properties(systemtraytest_x11 PROPERTIES TIMEOUT 120 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0;USE_CUSTOM_BUS=1;GDK_BACKEND=x11;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

add_test(
    NAME systemtraytest_wayland
    COMMAND dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/systemtraytest.py
)
set_tests_properties(systemtraytest_wayland PROPERTIES TIMEOUT 120 ENVIRONMENT "TEST_WITH_XWAYLAND=1;USE_CUSTOM_BUS=1;GDK_BACKEND=x11;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

add_test(
    NAME logoutgreetertest
    COMMAND dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/logoutgreetertest.py
)
set_tests_properties(logoutgreetertest PROPERTIES TIMEOUT 300 ENVIRONMENT "PLASMA_SESSION_GUI_TEST=1;KDE_INSTALL_FULL_LIBEXECDIR=${KDE_INSTALL_FULL_LIBEXECDIR}")

=== appiumtests/ksplash/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME ksplashtest_wayland
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/ksplashtest.py --failfast
)
set_tests_properties(ksplashtest_wayland PROPERTIES TIMEOUT 60)

add_test(
    NAME ksplashtest_x11
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/ksplashtest.py --failfast
)
set_tests_properties(ksplashtest_x11 PROPERTIES TIMEOUT 60 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0")

=== components/calendar/CMakeLists.txt ===
ecm_add_qml_module(calendarplugin
    URI "org.kde.plasma.workspace.calendar"
    VERSION 2.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtCore
)

target_sources(calendarplugin PRIVATE
    calendar.cpp calendar.h
    daysmodel.cpp daysmodel.h
    eventdatadecorator.cpp eventdatadecorator.h
    eventpluginsmanager.cpp eventpluginsmanager.h
)

ecm_target_qml_sources(calendarplugin
    SOURCES
    qml/MonthView.qml
)

ecm_target_qml_sources(calendarplugin
    PRIVATE
    SOURCES
    qml/DayDelegate.qml
    qml/DaysCalendar.qml
    qml/InfiniteList.qml
    qml/MonthViewHeader.qml
)

target_link_libraries(calendarplugin PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
    KF6::I18n
    KF6::CalendarEvents
    KF6::CoreAddons
)

ecm_finalize_qml_module(calendarplugin)

set(QTPATHS_PATH "$<TARGET_FILE:${QT_CMAKE_EXPORT_NAMESPACE}::qtpaths>")
configure_file(kconf_update/migrate-calendar-to-plugin-id.py.in ${CMAKE_CURRENT_BINARY_DIR}/migrate-calendar-to-plugin-id.py.in @ONLY)
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/migrate-calendar-to-plugin-id.py INPUT ${CMAKE_CURRENT_BINARY_DIR}/migrate-calendar-to-plugin-id.py.in)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/migrate-calendar-to-plugin-id.py DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(FILES kconf_update/migrate-calendar-to-plugin-id.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== kcms/colors/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_colors\")

kcmutils_add_qml_kcm(kcm_colors)

kcmutils_generate_module_data(kcm_colors
    MODULE_DATA_HEADER colorsdata.h
    MODULE_DATA_CLASS_NAME ColorsData
    SETTINGS_HEADERS colorssettings.h
    SETTINGS_CLASSES ColorsSettings
)
# needed for krdb
kconfig_add_kcfg_files(kcm_colors colorssettings.kcfgc GENERATE_MOC)
target_link_libraries(kcm_colors PRIVATE
    Qt::DBus
    Qt::Quick
    KF6::KCMUtils
    KF6::CoreAddons
    KF6::GuiAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::NewStuffCore
    KF6::KCMUtilsQuick
    KF6::WindowSystem
    krdb
)

if(HAVE_X11)
    target_link_libraries(kcm_colors PRIVATE X11::X11 Qt::GuiPrivate)
endif()

target_sources(kcm_colors PRIVATE
    ../kcms-common.cpp
    colors.cpp
    colorsapplicator.cpp
    colorsmodel.cpp
    filterproxymodel.cpp
)


qt_add_dbus_adaptor(plasma-accentcolor-service_DBUS_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.accentColor.xml
                     accentColorService/accentColorService.h AccentColorService
                     accentcolor_service_adaptor AccentColorServiceAdaptor)


add_executable(plasma-apply-colorscheme)
kconfig_add_kcfg_files(plasma-apply-colorscheme colorssettings.kcfgc GENERATE_MOC)
qt_generate_dbus_interface(
    accentColorService/accentColorService.h
    org.kde.plasmashell.accentColor.xml
    OPTIONS -M
)
message(WARNING "${plasma-accentcolor-service_DBUS_SRCS}")
target_sources(plasma-apply-colorscheme PRIVATE ${plasma-accentcolor-service_DBUS_SRCS})
target_sources(plasma-apply-colorscheme PRIVATE 
    plasma-apply-colorscheme.cpp
    colorsapplicator.cpp
    colorsmodel.cpp
    ../kcms-common.cpp
    accentColorService/accentColorService.cpp
)
target_link_libraries(plasma-apply-colorscheme
    Qt::Core
    Qt::DBus
    Qt::Gui
    Qt::GuiPrivate
    KF6::GuiAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::WindowSystem
    KF6::DBusAddons
    PW::KWorkspace
    X11::X11
    krdb
)

kcoreaddons_add_plugin(plasma_accentcolor_service INSTALL_NAMESPACE "kf6/kded")

kconfig_add_kcfg_files(plasma_accentcolor_service colorssettings.kcfgc GENERATE_MOC)
target_sources(plasma_accentcolor_service PRIVATE
    accentColorService/accentColorService.cpp
    colorsapplicator.cpp
    ../kcms-common.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.accentColor.xml
    ${plasma-accentcolor-service_DBUS_SRCS}
)
target_link_libraries(plasma_accentcolor_service
    Qt::Core
    Qt::DBus
    Qt::GuiPrivate
    KF6::GuiAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::WindowSystem
    KF6::ConfigCore
    KF6::DBusAddons
    PW::KWorkspace
    X11::X11
    krdb
)

install(FILES colorssettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(TARGETS plasma-apply-colorscheme DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES colorschemes.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

add_subdirectory(editor)

=== kcms/cursortheme/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_cursortheme\")

kcmutils_add_qml_kcm(kcm_cursortheme SOURCES ${kcm_cursortheme_PART_SRCS})

target_sources(kcm_cursortheme PRIVATE
    xcursor/thememodel.cpp
    xcursor/themeapplicator.cpp
    xcursor/cursortheme.cpp
    xcursor/xcursortheme.cpp
    xcursor/previewwidget.cpp
    xcursor/sortproxymodel.cpp
    ../kcms-common.cpp
    kcmcursortheme.cpp
)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/xcursor/ ${CMAKE_CURRENT_BINARY_DIR}/../krdb/ )

kcmutils_generate_module_data(kcm_cursortheme
    MODULE_DATA_HEADER cursorthemedata.h
    MODULE_DATA_CLASS_NAME CursorThemeData
    SETTINGS_HEADERS cursorthemesettings.h launchfeedbacksettings.h
    SETTINGS_CLASSES CursorThemeSettings LaunchFeedbackSettings
)


kconfig_add_kcfg_files(kcm_cursortheme cursorthemesettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(kcm_cursortheme launchfeedbacksettings.kcfgc GENERATE_MOC)

target_link_libraries(kcm_cursortheme PRIVATE
    Qt::DBus
    Qt::Quick
    KF6::Archive
    KF6::KCMUtils
    KF6::DBusAddons
    KF6::I18n
    KF6::GuiAddons
    KF6::WindowSystem
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::NewStuffCore
    KF6::KCMUtilsQuick
    krdb
)

if (HAVE_X11)
   target_link_libraries(kcm_cursortheme PRIVATE X11::Xcursor X11::Xfixes Qt::GuiPrivate)
endif ()

# plasma-apply-cursortheme utility

add_executable(plasma-apply-cursortheme)
target_sources(plasma-apply-cursortheme PRIVATE
    plasma-apply-cursortheme.cpp

    xcursor/cursortheme.cpp
    xcursor/themeapplicator.cpp
    xcursor/thememodel.cpp
    xcursor/xcursortheme.cpp
    ../kcms-common.cpp
    ../krdb/krdb.cpp
)
kconfig_add_kcfg_files(plasma-apply-cursortheme cursorthemesettings.kcfgc GENERATE_MOC)
target_link_libraries(plasma-apply-cursortheme
    Qt::DBus
    KF6::DBusAddons
    KF6::GuiAddons
    KF6::I18n
    KF6::KCMUtils
    KF6::WindowSystem
)

if (HAVE_X11)
   target_link_libraries(plasma-apply-cursortheme X11::X11 X11::Xcursor X11::Xfixes XCB::XCB XCB::CURSOR Qt::GuiPrivate)
endif()

install(TARGETS plasma-apply-cursortheme  DESTINATION ${KDE_INSTALL_BINDIR})

########### install files ###############

install(FILES cursorthemesettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES launchfeedbacksettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install( FILES xcursor/xcursor.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

=== kcms/desktoptheme/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoptheme\")

kcmutils_add_qml_kcm(kcm_desktoptheme SOURCES ${kcm_desktoptheme_SRCS})

target_sources(kcm_desktoptheme PRIVATE
    kcm.cpp
    themesmodel.cpp
    filterproxymodel.cpp
    kcm.h
    themesmodel.h
    filterproxymodel.h
)
kcmutils_generate_module_data(kcm_desktoptheme
    MODULE_DATA_HEADER desktopthemedata.h
    MODULE_DATA_CLASS_NAME DesktopThemeData
    SETTINGS_HEADERS desktopthemesettings.h
    SETTINGS_CLASSES DesktopThemeSettings
)
kconfig_add_kcfg_files(kcm_desktoptheme desktopthemesettings.kcfgc GENERATE_MOC)

target_link_libraries(kcm_desktoptheme PRIVATE
  Qt::Quick
  KF6::CoreAddons
  KF6::KCMUtils
  KF6::KIOCore
  KF6::KIOWidgets
  KF6::I18n
  KF6::Svg
  KF6::KCMUtilsQuick
  KF6::Package
)

add_executable(plasma-apply-desktoptheme ${plasma-apply-desktoptheme_SRCS})
target_sources(plasma-apply-desktoptheme PRIVATE
    plasma-apply-desktoptheme.cpp
    themesmodel.cpp
)
target_link_libraries(plasma-apply-desktoptheme
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::I18n
    Plasma::Plasma
)

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES plasma-themes.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
install(TARGETS plasma-apply-desktoptheme DESTINATION ${KDE_INSTALL_BINDIR})

=== kcms/style/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_style\")

kcmutils_add_qml_kcm(kcm_style)

qt_add_dbus_interface(kcm_style_DBUS_SRCS ${KDED_DBUS_INTERFACE} kded_interface)
qt_add_dbus_interface(kcm_style_DBUS_SRCS org.kde.GtkConfig.xml kdegtkconfig_interface)
target_sources(kcm_style PRIVATE
    ${kcm_style_DBUS_SRCS}
    ../kcms-common.cpp
    styleconfdialog.cpp
    kcmstyle.cpp
    stylesmodel.cpp
    gtkthemesmodel.cpp
    gtkpage.cpp
    previewitem.cpp
    styledata.cpp
    styleconfdialog.h
    kcmstyle.h
    stylesmodel.h
    gtkthemesmodel.h
    gtkpage.h
    previewitem.h
    styledata.h
)
kcmutils_generate_module_data(kcm_style
    MODULE_DATA_HEADER styledata.h
    MODULE_DATA_CLASS_NAME StyleData
    SETTINGS_HEADERS stylesettings.h
    SETTINGS_CLASSES StyleSettings
)
ki18n_wrap_ui(kcm_style stylepreview.ui)
kconfig_add_kcfg_files(kcm_style stylesettings.kcfgc GENERATE_MOC)
ecm_qt_declare_logging_category(kcm_style
    HEADER kcm_style_debug.h
    IDENTIFIER KCM_STYLE_DEBUG
    CATEGORY_NAME org.kde.plasma.kcm_style
    DESCRIPTION "kcm style"
    EXPORT PLASMAWORKSPACE
)

target_compile_definitions(kcm_style PUBLIC CMAKE_INSTALL_FULL_LIBEXECDIR="${CMAKE_INSTALL_FULL_LIBEXECDIR}")
target_link_libraries(kcm_style PRIVATE
    Qt::Quick
    KF6::KCMUtils
    KF6::I18n
    KF6::KIOCore
    KF6::KCMUtilsQuick
    KF6::Archive
    KF6::NewStuffCore
    KF6::XmlGui
    krdb
)

install(FILES stylesettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES gtk_themes.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

add_custom_command(TARGET kcm_style POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E create_symlink ../kcms/systemsettings/kcm_style.so kcm_style_init.so)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_style_init.so DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcminit)

=== libdbusmenuqt/test/CMakeLists.txt ===
add_executable(appmenutest main.cpp)
target_link_libraries(appmenutest
                        Qt::Widgets)

=== debian/changelog ===
plasma-workspace (4:6.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update plasma-workspace.install according to the newer kpackage, which
    does not generate appstream metainfo files for packages anymore.
    (Closes: #1117363)
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Oct 2025 22:14:46 +0200

plasma-workspace (4:6.3.6-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix incorrectly encoded libplasma dependency version that breaks
    builds with our mixed 6.3.x packages in trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Jul 2025 18:21:10 +0200

plasma-workspace (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Weather/envcan: Adapt to the new locations list URL.
    - Weather/envcan: Fix handling of non-continuous hourly folder list.
    - Dataengines/weather: Adapt to the new dynamic URLs on envcan.
    - RunCommand: fix "hide faded completion text" calculation. (kde#505698)
    - Klipper: make "Add Actions" dialog only window-modal. (kde#501938)
    - Fix cell height calc in resize handle.
    - Applets/notifications: Don't set a parent for
    WidgetsAskUserActionHandler. (kde#504385)
    - Components/sessionprivate: fix a potential crash in SessionsModel.
    - Libnotificationmanager: fix critical notifications not showing when Do
    not disturb is active.
    - Applets/devicenotifier: fix pointless mount action. (kde#503999)
    - Colorsapplicator: Don't allow extended RGB from OKLabToLinearSRGB.
    (kde#503394)
  * Drop backported patches now part of the upstream release.
  * Refresh patches.
  * Backport upstream commits:
    - Fix fallback name for task manager icons for programs with Comment
    property missing in the desktop file. [45784326] (kde#504431)
    - Fix crash in system settings when removing /usr/share as a wallpaper
    directory. [e9fd71d9] (kde#503593)
    - Fix multiple instances of Plasma shell crash when trying to stop it from
    going to sleep. [88911e82] (kde#487660)
    - Do not track cache partitions with freespacenotifier. [01978f58]
    (kde#504423)
    - Do not show logout screen on power button press when in lockscreen /
    screensaver. [f1605df4] (kde#504575)
    - Fix holding mouse to scroll inside desktop widgets unexpectedly entering
    edit mode. [8e6b79da] (kde#416909)
    - Fix "move to activity" when there are only 2 activities. [e2ae8f54]
    (kde#483148)
    - applets/kicker: fix filenames containing # missing from history
    [ab55c53e] (kde#419449, kde#437960)
    - Klipper: Remove local Configure Klipper action that conflicts
    with global shortcuts. [d286dce3] (kde#501632)
    - Remove unexpected hover icons above user feedback selection labels.
    [a3e153b3] (kde#505761)
    - Fix unablity to remove/unpin documents/apps from Application Menu after
    deleting the document/app from system. [d1896f5a] (kde#402820)
    - Fix unchecking "Show date" in clock settings creating an empty gap on
    the panel until restarting plasmashell [b2e80af5] (kde#505614)
    - Fix systemd services reload reemitting all previous OOM notifications.
    [ec837446] (kde#502279)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Jul 2025 12:11:47 +0200

plasma-workspace (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Notification: Escape lonely < and > symbols. (kde#502106)
    - Calendar: Move event indicator above main label.
    - Appelts/notifications: Fix Notifications positions. (kde#500192,
    kde#498599, kde#491217, kde#502160)
    - Applets/notifications: improve paddings again.
    - Multiscreen: fix an incorrect assert in screenInvariants. (kde#494616)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Drop backported patch now part of the upstream release.
  * Backport upstream commits scheduled for 6.3.6:
    - Fix entirely wrong colours when enabling "Tint all colours with accent
    colour". (kde#503394)
    - Remove pointless "mount" action for audio CDs and blank optical media.
    (kde#503999)
    - libnotificationmanager: fix critical notifications not showing when Do
    not disturb is active.
    - components/sessionprivate: fix a potential crash in SessionsModel.
    - Fix deleting downloaded files from the notifications. (kde#504385)
    - Fix cell height calculation during vertical resizing.
    - klipper: make "Add Actions" dialog only window-modal to avoid blocking
    plasmashell completely. (kde#501938)
  * Backport other upstream commits:
    - Fix lockscreen showing a placeholder instead of the real multimedia
    player name in some multi-player setups.
    - Fix Scroll Wheel issue in the All Applications section of the launcher.
    (kde#486481)
    - Fix implementation of the StatusNotifierItem spec to support context
    menu on left click in the system tray.
    - Never use scientific notation even for big numbers in notifications.
    (kde#422166)
    - Fix global menu sometimes showing menu items from non-active app.
    (kde#473714)
    - Fix issue in sorting users list to put the logged in user first.
    - Prevent trying to delete the logged in user and failing. (kde#495494)
    - Make selecting the C locale in regional options actually work.
    (kde#500432)
    - Fix duplicate optical devices in disks and devices applet. (kde#495140)
    - Disable pointless and surprising horizontal scrolling of notifications
    contents.
    - Warn users about full storage not just on / and /home.
    - Fix incorrect wallpaper preview when using screens with widely different
    aspect ratios. (kde#483097)
    - Fix OSD not properly displaying RTL languages. (kde#503255)
    - Fix Notifications widget added to the desktop not showing new


=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               appmenu-gtk3-module,
               breeze-dev (>= 4:6.3.4~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               kded6-dev (>= 6.10.0~),
               kirigami-addons-dev (>= 1.0.0~),
               kscreenlocker-dev (>= 6.3.4~),
               kwayland-dev (>= 4:6.3.4~),
               kwin-dev (>= 4:6.3.4~),
               libappstreamqt-dev (>= 1.0.0~),
               libcanberra-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libice-dev,
               libicu-dev,
               libkexiv2qt6-dev,
               libkf6archive-dev (>= 6.10.0~),
               libkf6auth-dev (>= 6.10.0~),
               libkf6baloo-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6declarative-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6holidays-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6idletime-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6notifyconfig-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6parts-dev (>= 6.10.0~),
               libkf6prison-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6texteditor-dev (>= 6.10.0~),
               libkf6textwidgets-dev (>= 6.10.0~),
               libkf6unitconversion-dev (>= 6.10.0~),
               libkf6userfeedback-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libkpipewire-dev (>= 6.3.4~),
               libkscreen-dev (>= 4:6.3.4~),
               libksysguard-dev (>= 4:6.3.4~),
               liblayershellqtinterface-dev (>= 6.3.4~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev (>= 6.3.4~),
               libplasma5support-dev (>= 4:6.3.4~),
               libplasmaactivities-dev (>= 6.3.4~),
               libplasmaactivitiesstats-dev (>= 6.3.4~),
               libpolkit-qt6-1-dev,
               libqalculate-dev (>= 2.0~),
               libquickcharts-dev (>= 6.10.0~),
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxft-dev,
               libxrender-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6~),
               qcoro-qt6-dev,
               qml6-module-org-kde-prison,
               qt6-5compat-dev (>= 6.7.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.7.0~),
               qt6-shadertools-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.6.0~),
               qt6-wayland-private-dev (>= 6.6.0~),
               systemd-dev,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace.git

Package: libbatterycontrol6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace battery control library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the battery control library files.

Package: libcolorcorrect6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace color correction library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used for configuring the color correction at
 the compositor level. This includes adjusting screen gamma levels
 and setting night time color temperature (Night Light).
 .
 Currently only controlling KWin in Wayland mode is supported.
 .
 This package contains the color correction library files.

Package: libklipper6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: plasma-workspace-doc (>= ${source:Version}),
Description: Plasma Workspaces Klipper library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 Klipper is the Plasma clipboard utility. It stores clipboard
 history, and allows you to link clipboard contents to application
 actions.
 .
 This package contains the Klipper library files.

Package: libkmpris6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace MPRIS library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used to control Media Player Remote Interfacing
 Specification-compatible media players.
 .
 This package contains Plasma Workspace MPRIS library files.

Package: libkfontinst6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace fonts installation library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the fonts installation library files.

Package: libkfontinstui6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace UI components for fonts installation
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides UI components to manage fonts installation
 used in the fonts installation KCM configuration screen.
 .
 This package contains the library files for the fonts installation
 UI components.

Package: libkworkspace6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides the core features of Plasma Workspace like
 display, login and session management.
 .
 This package contains the main Plasma Workspace library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace notification manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library is responsible for listing notifications, closing them
 and interacting with them in Plasma.
 .
 This package contains the notification manager library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace task manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 The task manager library provides various abstractions for listing
 windows, startup tasks and launcher jobs.
 .
 This package contains the task manager library files.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace weather information library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides support for interfacing with online weather
 information sources.
 .
 This package contains the weather information library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 6.2.90~),
         frameworkintegration6,
         gdb,
         iso-codes,
         kactivitymanagerd (>= 6.2.90~),
         kded6,
         kglobalacceld (>= 6.2.90~),
         kwin-common (>= 4:6.2.90~),
         kwin-wayland (>= 4:6.2.90~),
         libkf6config-bin,
         milou (>= 4:6.2.90~),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace-data (>= ${source:Version}),
         python3:any,
         qdbus-qt6,
         qml6-module-org-kde-activities,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-org-kde-userfeedback,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtpositioning,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-virtualkeyboard,
         qml6-module-qtquick-window,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: notification-daemon, x-session-manager,
